$NetBSD: README,v 1.4 2025/12/23 13:22:09 kikadf Exp $

Some notes on chromium:

1) Wrapper flags support
  The startup wrapper can read chromium flags
  from ~/.config/chromium-flags.conf.
  Example settings in chromium-flags.conf:
    CHROMIUM_FLAGS="--disable-gpu --enable-foo"

2) Disabling WebAssembly
  WebAssembly is enabled by default, but it can be disabled by either:
  - Setting CHROMIUM_ENABLE_WASM=0 in your environment, or
  - Adding the following flags to ~/.config/chromium-flags.conf:
    --disable-features=WebAssembly,AsmJsToWebAssembly,WebAssemblyStreaming
    --js-flags=--noexpose-wasm

3) Random tab hang
  Under investigation. No known working workaround.

4) HID support
  HID is not yet supported on NetBSD, so FIDO devices do not work.

5) Render blinking / glitches after 141.x
  If you notice render blinking or visual glitches
  along with error messages like:
    "ERROR:cc/tiles/tile_manager.cc:1003] WARNING: tile memory limits exceeded,
     some content may not draw"
  start chromium with --force-gpu-mem-available-mb=128 flag.
  To make it permanent, add this flag to ~/.config/chromium-flags.conf:
    CHROMIUM_FLAGS="${CHROMIUM_FLAGS} --force-gpu-mem-available-mb=128"
